Bug 329421 - Tomcat5 admin webapp in F7 broken out of the box (and a trivial fix)
Tomcat5 admin webapp in F7 broken out of the box (and a trivial fix)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tomcat5 (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Devrim GUNDUZ
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-12 10:23 EDT by Graham White
Modified: 2008-12-03 03:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-03 03:05:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Graham White 2007-10-12 10:23:00 EDT
Description of problem:
The Tomcat admin webapp does not start using the default out-of-the-box Fedora 7
configuration.  In order to get it to start I had to add additional symbolic
links as follows:
/usr/share/tomcat5/server/webapps/admin/WEB-INF/lib/commons-beanutils.jar ->
/usr/share/java/commons-beanutils.jar
/usr/share/tomcat5/server/webapps/admin/WEB-INF/lib/commons-digester.jar ->
/usr/share/java/commons-digester.jar

Version-Release number of selected component (if applicable):
rpm -qa | egrep "^tomcat5|^jakarta" | sort
 jakarta-commons-beanutils-1.7.0-5jpp.1
 jakarta-commons-collections-3.1-9jpp.2.fc7.1
 jakarta-commons-collections-tomcat5-3.1-9jpp.2.fc7.1
 jakarta-commons-daemon-1.0.1-6jpp.2.fc7
 jakarta-commons-dbcp-tomcat5-1.2.1-10jpp.1.fc7
 jakarta-commons-digester-1.7-6jpp.1
 jakarta-commons-discovery-0.3-4jpp.1
 jakarta-commons-el-1.0-7jpp.1.fc7
 jakarta-commons-fileupload-1.0-6jpp.1
 jakarta-commons-httpclient-3.0.1-1jpp.1.fc7
 jakarta-commons-launcher-1.1-1jpp.2.fc7
 jakarta-commons-logging-1.0.4-6jpp.1
 jakarta-commons-modeler-2.0-3jpp.1.fc7
 jakarta-commons-pool-tomcat5-1.3-9jpp.2.fc7.1
 jakarta-commons-validator-1.1.4-5jpp.1
 jakarta-oro-2.0.8-3jpp.1
 jakarta-taglibs-standard-1.1.1-7jpp.1
 tomcat5-5.5.23-9jpp.2.fc7
 tomcat5-admin-webapps-5.5.23-9jpp.2.fc7
 tomcat5-common-lib-5.5.23-9jpp.2.fc7
 tomcat5-jasper-5.5.23-9jpp.2.fc7
 tomcat5-jsp-2.0-api-5.5.23-9jpp.2.fc7
 tomcat5-server-lib-5.5.23-9jpp.2.fc7
 tomcat5-servlet-2.4-api-5.5.23-9jpp.2.fc7
 tomcat5-webapps-5.5.23-9jpp.2.fc7

How reproducible:
Install tomcat5 from yum along with the tomcat5-admin-webapps package and
associated dependencies.  Start tomcat5, browse to http://localhost:8080/, and
click the admin box to start the admin webapp.  Errors are shown in the catalina
output file.

Actual results:
Blank web page is shown, white page, no content.  Errors are shown in the logs.

Expected results:
Admin web app should be loaded into the browser.
Comment 1 Devrim GUNDUZ 2007-11-16 16:20:06 EST
I could reproduce this problem on my box, too. Will push a fix soon.
Comment 2 Wouter de Jong 2008-02-22 11:23:56 EST
I have the same problem on Fedora 8, x86_64.

# rpm -qa | egrep "^tomcat5|^jakarta" | sort
jakarta-commons-beanutils-1.7.0-5jpp.1
jakarta-commons-collections-3.1-9jpp.2.fc7.1
jakarta-commons-collections-tomcat5-3.1-9jpp.2.fc7.1
jakarta-commons-daemon-1.0.1-6jpp.4.fc8
jakarta-commons-dbcp-1.2.1-10jpp.2.fc8
jakarta-commons-dbcp-tomcat5-1.2.1-10jpp.2.fc8
jakarta-commons-digester-1.7-6jpp.2
jakarta-commons-discovery-0.3-4jpp.1
jakarta-commons-el-1.0-8jpp.2.fc8
jakarta-commons-fileupload-1.0-6jpp.1
jakarta-commons-httpclient-3.0.1-1jpp.2.fc8
jakarta-commons-launcher-1.1-1jpp.3.fc8
jakarta-commons-logging-1.0.4-6jpp.4.fc8
jakarta-commons-modeler-2.0-3jpp.2.fc8
jakarta-commons-pool-1.3-9jpp.3.fc8
jakarta-commons-pool-tomcat5-1.3-9jpp.3.fc8
jakarta-commons-validator-1.1.4-5jpp.2.fc8
jakarta-oro-2.0.8-3jpp.1
jakarta-taglibs-standard-1.1.1-7jpp.1
tomcat5-5.5.26-1jpp.2.fc8
tomcat5-admin-webapps-5.5.26-1jpp.2.fc8
tomcat5-common-lib-5.5.26-1jpp.2.fc8
tomcat5-jasper-5.5.26-1jpp.2.fc8
tomcat5-jsp-2.0-api-5.5.26-1jpp.2.fc8
tomcat5-server-lib-5.5.26-1jpp.2.fc8
tomcat5-servlet-2.4-api-5.5.26-1jpp.2.fc8
tomcat5-webapps-5.5.26-1jpp.2.fc8

The fix mentioned above solves the problem...
Comment 3 Bug Zapper 2008-05-14 10:43:49 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Wouter de Jong 2008-05-14 10:56:55 EDT
As I mentioned ... it still happened in FC8 !

Not sure if it's fixed in the very-latest fc8 package, but until recently ... 
it wasn't.

So please update version to FC8.
Comment 5 Graham White 2008-05-15 02:59:32 EDT
I have just gone to some trouble to verify this bug still exists in the latest
version of Fedora 8, after a full yum update (not tried on Fedora 9).  This
shouldn't be a hard fix!
Comment 6 Mark Burchard 2008-07-25 12:50:57 EDT
This bug is still open on F9 and RHEL5.  However, the way I fixed it is
different, so maybe it's not the exact same issue...

For my install of Tomcat5, the problem appears to be with the permissions that
get set on /etc/tomcat5 when the tomcat-admin-app RPM is installed.  Recursively
chowning /etc/tomcat5 to tomcat:tomcat appears to fix the problem.

I figured this out pretty much by accident.  I thought I'd try to grab the
apache tomcat official admin app tarball and deploy it over /var/lib/tomcat5. 
Restart tomcat and the admin console starts working. 

I _think_ that the RPM wants to put the Catalina/localhost config into
/etc/tomcat5, so the chown fix only works for the admin app RPM.  I suspect that
the app config in the apache.org tarball, which puts the Catalina/localhost
config under /var/lib/tomcat5, is looking in a different place.  I'll do some
more testing and confirm...
Comment 7 Jon Rachwalski 2008-10-03 11:16:48 EDT
Verified to still exist on F9.

Fixed by adding symlinks to commons-beanutils.jar and commons-digester.jar.

Not fixed by chown-ing /etc/tomcat5 to tomcat:tomcat.
Comment 8 Graham White 2008-10-07 04:12:44 EDT
I find it amazing/embarrassing this hasn't been fixed yet, it's so long that the project I was working on with Tomcat has long since finished.

To the maintainer - get your act sorted out (please)!
Comment 9 Bug Zapper 2008-11-26 02:58:14 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.